'use strict'

const fs = require('fs')
const path = require('path')
const EasyGraphQLTester = require('../lib')
const gql = require('graphql-tag')

const schema = fs.readFileSync(path.join(__dirname, 'schema.gql'), 'utf8')

function test(key) {
  return new Promise(resolve => {
    const x = key * 10

    resolve(x)
  })
}

const license = (__, args, ctx) => {
  // const x = await test(1)
  const { key } = args;

  return {
    id: 'x',
    body: "This is a test license",
    description: `This is a description with key ${key}`
  };
};

const resolvers = {
  Query: {
    license
  }
};


const tester = new EasyGraphQLTester(schema, resolvers)

const query = gql`
  query GET_LICENSE($key: String!) {
    license(key: $key) {
      id
      body
      description
    }
  }
`;

tester.graphql(query, undefined, undefined, { key: 'false' }).then(result => console.log('==>', result))
